MTEST(8)

NAME
mtest - test multicast membership socket operations and ioctls

SYNOPSIS
mtest

DESCRIPTION
mtest is a small program for testing the multicast membership socket operations and ioctls. It accepts the following commands, interactively:
j g.g.g.g i.i.i.i
    Join the IP group address g.g.g.g on the interface with address i.i.i.i. i.i.i.i may be specified as 0.0.0.0 to use the default interface.
l g.g.g.g i.i.i.i
    Leave the IP group address g.g.g.g on the interface with address i.i.i.i.
a ifname e.e.e.e.e.e
    Join the Ethernet group address e.e.e.e.e.e on interface ifname.
d ifname e.e.e.e.e.e
    Leave the Ethernet group address e.e.e.e.e.e on interface ifname.
m ifname 1/0
    Set or reset ALLMULTI mode on interface ifname.
p ifname 1/0
    Set or reset promiscuous mode on interface ifname.
?   List legal commands.
q   Quit the program.

AUTHORS
Steve Deering

BUGS
The command parser is not very flexible.